# http://svn.apache.org/viewvc?view=revision&revision=1845531
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=936034
# backport fix for new mod_http2

Index: a/subversion/mod_dav_svn/mod_dav_svn.c
===================================================================
--- a/subversion/mod_dav_svn/mod_dav_svn.c	(revision 1845530)
+++ a/subversion/mod_dav_svn/mod_dav_svn.c	(revision 1845531)
@@ -1232,7 +1232,7 @@
 
   /* Leave a note to ourselves so that we know not to decline in the
    * map_to_storage hook. */
-  apr_table_setn(r->notes, NO_MAP_TO_STORAGE_NOTE, (const char*)1);
+  apr_table_setn(r->notes, NO_MAP_TO_STORAGE_NOTE, "1");
   return OK;
 }
 
Index: a/subversion/mod_authz_svn/mod_authz_svn.c
===================================================================
--- a/subversion/mod_authz_svn/mod_authz_svn.c	(revision 1845530)
+++ a/subversion/mod_authz_svn/mod_authz_svn.c	(revision 1845531)
@@ -912,7 +912,7 @@
         {
           /* Set the note to force authn regardless of what access_checker_ex
              hook requires */
-          apr_table_setn(r->notes, FORCE_AUTHN_NOTE, (const char*)1);
+          apr_table_setn(r->notes, FORCE_AUTHN_NOTE, "1");
 
           /* provide the proper return so the access_checker hook doesn't
            * prevent the code from continuing on to the other auth hooks */
@@ -978,7 +978,7 @@
            * ap_some_authn_rquired() without triggering an infinite
            * loop since the call will trigger this function to be
            * called again. */
-          apr_table_setn(r->notes, IN_SOME_AUTHN_NOTE, (const char*)1);
+          apr_table_setn(r->notes, IN_SOME_AUTHN_NOTE, "1");
           authn_required = ap_some_authn_required(r);
           apr_table_unset(r->notes, IN_SOME_AUTHN_NOTE);
           if (authn_required)
@@ -1021,7 +1021,7 @@
   status = req_check_access(r, conf, &repos_path, &dest_repos_path);
   if (status == OK)
     {
-      apr_table_setn(r->notes, "authz_svn-anon-ok", (const char*)1);
+      apr_table_setn(r->notes, "authz_svn-anon-ok", "1");
       log_access_verdict(APLOG_MARK, r, 1, FALSE, repos_path, dest_repos_path);
       return OK;
     }
